Skip to main content
`Ctrl`+`K`

# STSetWorkVecs

Sets a number of work vectors into the `ST` object.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetWorkVecs(ST st,PetscInt nw)

Collective

## Input Parameters

- st - the spectral transformation context

- nw - number of work vectors to allocate

## Developer Notes

This is `SLEPC_EXTERN` because it may be required by shell `ST`s.

## See Also

ST: Spectral Transformation, `STMatCreateVecs()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages